org.eclipse.graphiti.ui.internal.util.ui.print

## Class AbstractFigureSelectionDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.graphiti.ui.internal.util.ui.print.AbstractFigureSelectionDialog

All Implemented Interfaces:
  java.util.EventListener, IShellProvider, SelectionListener, SWTEventListener

Direct Known Subclasses:
  ExportDiagramDialog, PrintFigureDialog

    public class AbstractFigureSelectionDialog
    extends Dialog
    implements SelectionListener

This is an abstract dialog, where the user can choose between the whole figure or a selection.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK`

### Constructor Summary

Constructors
Constructor and Description
`AbstractFigureSelectionDialog(Shell shell, org.eclipse.gef.GraphicalViewer graphicalViewer)` Creates a new AbstractPrintFigureDialog.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cleanUp()`
`org.eclipse.draw2d.IFigure` `getFigure()`
`org.eclipse.gef.GraphicalViewer` `getGraphicalViewer()`
`Image` `getImage()`
`Image` `getScaledImage()`
`void` `setScaledImage(double scaleFactor)`
`void` `setScaledImage(double scaleFactor, double upperBoundPixels)`
`void` `updateControls()`
`void` `widgetDefaultSelected(SelectionEvent e)`
`void` `widgetSelected(SelectionEvent e)`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.events.SelectionListener

`widgetDefaultSelectedAdapter, widgetSelectedAdapter`

### Constructor Detail

#### AbstractFigureSelectionDialog

    public AbstractFigureSelectionDialog(Shell shell,
                                         org.eclipse.gef.GraphicalViewer graphicalViewer)

Creates a new AbstractPrintFigureDialog.

Parameters:
  `shell` - The Shell of this dialog.
  `graphicalViewer` - The GraphicalViewer, which to print.

### Method Detail

#### widgetDefaultSelected

    public void widgetDefaultSelected(SelectionEvent e)

Specified by:
  `widgetDefaultSelected` in interface `SelectionListener`

#### widgetSelected

    public void widgetSelected(SelectionEvent e)

Specified by:
  `widgetSelected` in interface `SelectionListener`

#### updateControls

    public void updateControls()

#### getFigure

    public final org.eclipse.draw2d.IFigure getFigure()

#### getGraphicalViewer

    public final org.eclipse.gef.GraphicalViewer getGraphicalViewer()

#### setScaledImage

    public void setScaledImage(double scaleFactor,
                               double upperBoundPixels)

#### setScaledImage

    public void setScaledImage(double scaleFactor)

#### getImage

    public Image getImage()

#### getScaledImage

    public Image getScaledImage()

#### cleanUp

    public void cleanUp()